/* Block: Intro */

.block-intro { gap: 10px; }
.block-intro .cols { width: 100%; }
.block-intro .col.left {
    max-width: 1000px;
    align-self: flex-start;
}
.block-intro .col.right { max-width: 40%; container-type: inline-size; padding-top: 40px; }

.block-intro .col.right .text-body-lg {
    color: var(--system-fg);
}

.block-intro .col.right .text-body-md {
    color: var(--system-fg-muted);
}

.block-intro .single-title { display: flex; flex-direction: column; gap: 16px; }
.block-intro .single-title .prose p { color: var(--system-fg-muted); }


.block-intro .title-heading-wrap { display: flex; flex-direction: column; gap: var(--system-spacing-gap-md); }

@container page-content (max-width: 1500px) {
    .block-intro .col.left { max-width: 60%; }
    .block-intro .col.right { max-width: 40%; }
}

/* por padrão o botão da col.right fica oculto */
.block-intro .intro-cta--right { display: none; }

/* ── Layout: Vertical ── */
.block-intro.intro-layout-vertical .cols {
    flex-direction: column;
    align-items: center;
    text-align: center;
    gap: 30px;
    max-width: 1100px;
    width: 100%;
    margin: 0 auto;
}

.block-intro.intro-layout-vertical .prose.prose-tight {
    width: 80%;
    max-width:900px;
}

.block-intro.intro-layout-vertical .prose {
    align-items: center;
}

.block-intro.intro-layout-vertical .col.left,
.block-intro.intro-layout-vertical .col.right {
    max-width: 100%;
    width: 100%;
}

.block-intro.intro-layout-vertical .single-title,
.block-intro.intro-layout-vertical .title-heading-wrap {
    align-items: center;
}

.block-intro.intro-layout-vertical .single-chips {
    justify-content: center;
}

.block-intro.intro-layout-vertical h2 {
    text-align: center;
}

.block-intro.intro-layout-vertical .col.right {
    padding-top:0;
}


.block-intro.intro-layout-vertical .prose,
.block-intro.intro-layout-vertical .prose p {
    text-align: center;
}

.block-intro.intro-layout-vertical .cta-button-wrap {
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.block-intro.intro-layout-vertical .cta-button-text {
    justify-content: center;
}

.block-intro.intro-layout-vertical .cta-disclaimer {
    text-align: left;
    max-height: unset !important;
    height: auto !important;
}

.block-intro.intro-layout-vertical .cta-disclaimer p br { display: none; }

.block-intro.intro-layout-vertical .intro-cta--left  { display: none; }
.block-intro.intro-layout-vertical .intro-cta--right { display: flex; }

@container page-content (max-width: 900px) {
    .block-intro.intro-layout-vertical .cols { max-width: unset; width: 100%; gap: 20px; }
}

@container page-content (max-width: 1024px) {
    .block-intro .col.left { max-width: 100%; position: static; }
    .block-intro .col.right { max-width: 100%; }
    .block-intro .col.left .buttons { justify-content: center; }
    .block-intro .prose p { text-align: center; }

    .block-intro .col.right { padding-top: 0px; }
}

@container page-content (max-width: 1024px) {
    .block-intro .intro-cta--left  { display: none; }
    .block-intro .intro-cta--right { display: flex; }
}